Holger's Java API

## com.antelmann.image
Enum ImageURLEntryMapper.ColumnKey

    java.lang.Object
      java.lang.Enum<ImageURLEntryMapper.ColumnKey>
          com.antelmann.image.ImageURLEntryMapper.ColumnKey

All Implemented Interfaces:
  Serializable, Comparable<ImageURLEntryMapper.ColumnKey>

Enclosing class:
  ImageURLEntryMapper<T extends ImageURLEntry>

    public static enum ImageURLEntryMapper.ColumnKey

extends Enum<ImageURLEntryMapper.ColumnKey>

provide keys for accessing the column names via `MappingInfo` interface

Enum Constant Summary
`ALTITUDE`
`DESCRIPTION`
`LATITUDE`
`LONGITUDE`
`THUMBNAIL`
`TIME`
`URL`

Method Summary
`static ImageURLEntryMapper.ColumnKey` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ImageURLEntryMapper.ColumnKey[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TIME

    public static final ImageURLEntryMapper.ColumnKey TIME

### THUMBNAIL

    public static final ImageURLEntryMapper.ColumnKey THUMBNAIL

### DESCRIPTION

    public static final ImageURLEntryMapper.ColumnKey DESCRIPTION

### URL

    public static final ImageURLEntryMapper.ColumnKey URL

### LATITUDE

    public static final ImageURLEntryMapper.ColumnKey LATITUDE

### LONGITUDE

    public static final ImageURLEntryMapper.ColumnKey LONGITUDE

### ALTITUDE

    public static final ImageURLEntryMapper.ColumnKey ALTITUDE

Method Detail

### values

    public static ImageURLEntryMapper.ColumnKey[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ImageURLEntryMapper.ColumnKey c : ImageURLEntryMapper.ColumnKey.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ImageURLEntryMapper.ColumnKey valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads